Skip to navigation

Update AR Invoice

View as Markdown
Update an existing AR invoice.

Path parameters

idstringRequired

Request

This endpoint expects an object.
statusstringOptional
paidDatedatetimeOptional

Response headers

AuthorizationstringOptional

Response

200 OK - Successfully Updated AR Invoice

idstringOptional
customerIdstringOptional
customerNamestringOptional
invoiceDatedateOptional
dueDatedateOptional
currencystringOptional
statusstringOptional
referenceNumberstringOptional
notesstringOptional
lineItemslist of objectsOptional
subtotalintegerOptional
taxTotaldoubleOptional
totalAmountdoubleOptional
createdAtdatetimeOptional
updatedAtdatetimeOptional

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
500
Internal Server Error